Name:           sfnt2woff-zopfli
Version:        1.3.1
Release:    1%{?dist}
Summary:        Create WOFF files with Zopfli compression

License:        MPL-1.0 OR GPL-2.0-or-later OR LGPL-2.0-or-later
URL:            https://github.com/bramstein/sfnt2woff-zopfli
Source0:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:          %{url}/pull/18.patch

ExcludeArch:    %{ix86}


BuildRequires:  gcc
BuildRequires:  pkgconfig(zlib)
BuildRequires:  zopfli-devel

%description
This is a modified version of the sfnt2woff utility that uses Zopfli as a
compression algorithm instead of zlib. This results in compression gains of —
on average — 5-8% compared to regular WOFF files. Zopfli generates compressed
output that is compatible with regular zlib compression so the resulting WOFF
files can be used everywhere.

A corresponding version of the woff2sfnt utility is also provided.


%prep
%autosetup -p1
rm -rvf zopfli


%build
%make_build \
    ZLIB_CFLAGS="$(pkg-config --cflags zlib)" \
    ZLIB_LIBS="$(pkg-config --libs zlib)" \
    ZOPFLI_CFLAGS='' \
    ZOPFLI_LIBS='-lzopfli'


%install
install -d '%{buildroot}%{_bindir}'
install -t '%{buildroot}%{_bindir}' -p sfnt2woff-zopfli woff2sfnt-zopfli
install -d '%{buildroot}%{_mandir}/man1'
install -t '%{buildroot}%{_mandir}/man1' -p -m 0644 \
    sfnt2woff-zopfli.1 woff2sfnt-zopfli.1


%files
%doc README.md
%license COPYING
%license LICENSE-WOFF
%license LICENSE-WOFF-MPL
%license LICENSE-WOFF-GPL
%license LICENSE-WOFF-LGPL

%{_bindir}/sfnt2woff-zopfli
%{_bindir}/woff2sfnt-zopfli

%{_mandir}/man1/sfnt2woff-zopfli.1*
%{_mandir}/man1/woff2sfnt-zopfli.1*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-1
- initial build
